<template>
    <div>
        <div class="form-group form-inline">
            <div class="form-group form-inline discount-group edit__set_block">
                <div class="discount-title">
                    <b>Discount</b>
                </div>
                <div class="form-group col-md-3 width-unset">
                    <div class="row">
                        <div>
                            <div>
                                <div class="discount-text-subtitle">
                                    Type
                                </div>
                            </div>
                            <div>
                                <select
                                    v-model="selectedTypeMenu"
                                    class="my-select-menu"
                                >
                                    <option
                                        v-for="(menu, index) in selectTypeMenus"
                                        :key="index"
                                        :value="menu.title"
                                    >
                                        {{ menu.title }}
                                    </option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div
                    v-if="selectedTypeMenu === 'Pre-made'"
                    class="form-group col-md-3"
                >
                    <div class="row">
                        <div>
                            <div>
                                <div class="discount-text-subtitle">
                                    Discount code
                                </div>
                            </div>
                            <div>
                                <input
                                    class="my-input"
                                    type="text"
                                >
                            </div>
                        </div>
                    </div>
                </div>
                <div
                    v-if="selectedTypeMenu === 'Pre-made'"
                    class="form-group discount-help-text col-md-5 text-bold"
                >
                    <div
                        class="discount-text-subtitle"
                    >
                        <template v-if="$store.state.shop.discountLink">
                            Manage your discount codes here
                            <a
                                class="discount-text-subtitle"
                                :href="$store.state.shop.discountLink"
                                target="_blank"
                            ><b>Shopify Admin panel</b></a>
                        </template>
                        <template v-else>
                            Manage your discount codes in Coupons section on Wix Dashboard
                        </template>
                    </div>
                </div>
                <div
                    v-if="selectedTypeMenu === 'Automatic'"
                    class="form-group col-md-3"
                >
                    <div class="row">
                        <div>
                            <div>
                                <div class="discount-text-subtitle">
                                    Discount
                                </div>
                            </div>
                            <div>
                                <input
                                    class="my-input"
                                    type="text"
                                >
                                <span>%</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div
                    v-if="selectedTypeMenu === 'Automatic'"
                    class="form-group discount-help-text col-md-5 text-bold"
                >
                    <div class="discount-text-subtitle">
                        We will create a new discount code in your store for you
                    </div>
                </div>
            </div>
        </div>
        <div class="form-group form-inline discount-group edit__set_block">
            <div style="width: 100%">
                <div><b>Background</b></div>
                <div>
                    <VueDropzone
                        id="dropzone"
                        ref="dropzone"
                        class="dz-clickable"
                        :options="dropOptions"
                    >
                        <div class="dz-default dz-message">
                            <div>
                                <img src="../../../../assets/images/no-image.png">
                            </div>
                        </div>
                    </VueDropzone>
                </div>
            </div>
        </div>
        <div class="form-group form-inline discount-group edit__set_block">
            <div class="row">
                <div class="col-md-4">
                    <b>Content</b>
                </div>
                <div class="col-md-8 text-right">
                    <select
                        v-model="selectedTagMenu"
                        class="form-control select-tags"
                    >
                        <option
                            v-for="(menu, index) in selectTagMenus"
                            :key="index"
                            :value="menu.title"
                        >
                            {{ menu.title }}
                        </option>
                    </select>
                </div>
            </div>
            <div style="width: 100%">
                <div class="form-content-title">
                    Body Text
                </div>
                <input
                    type="text"
                    class="form-control full-width"
                    value=""
                >
            </div>
            <div style="width: 100%">
                <div class="form-content-title">
                    Body text 1
                </div>
                <input
                    type="text"
                    class="form-control full-width"
                    value=""
                >
            </div>
            <div style="width: 100%">
                <div class="form-content-title">
                    Body text 2
                </div>
                <input
                    type="text"
                    class="form-control full-width"
                    value=""
                >
            </div>
            <div style="width: 100%">
                <div class="form-content-title">
                    Body text 3
                </div>
                <input
                    type="text"
                    class="form-control full-width"
                    value=""
                >
            </div>
        </div>
    </div>
</template>

<script>
import VueDropzone from 'vue2-dropzone';
import 'vue2-dropzone/dist/vue2Dropzone.min.css';

export default {
    name: "FulfillmentFormContent",
    components: {VueDropzone},
    data: () => ({
        dropOptions: {
            url: "https://httpbin.org/post",
            maxFilesize: 2, // MB
            maxFiles: 4,
            chunking: true,
            chunkSize: 500, // Bytes
            thumbnailWidth: 150, // px
            thumbnailHeight: 150,
            addRemoveLinks: true
        },
        selectTypeMenus: [
            {
                title: 'Pre-made'
            },
            {
                title: 'Automatic'
            }
        ],
        selectTagMenus: [
            {
                title: 'tags'
            },
            {
                title: '{firstName}'
            },
            {
                title: '{lastName}'
            },
            {
                title: '{siteName}'
            },
            {
                title: '{storeEmail}'
            },
            {
                title: '{discountCode}'
            }
        ],
        selectedTypeMenu: 'Pre-made',
        selectedTagMenu: 'tags',
    })
}
</script>

<style scoped lang="scss">

.dropzone {
    margin-top: 10px;
}

.dropzone .dz-message {
    text-align: center;
    margin: 2em 0;
    cursor: pointer;
}

.discount-text-subtitle {
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 5px;
}

.full-width {
    width: 100%;
}

.form-content-title {
    font-size: 14px;
    margin-top: 20px;
    font-weight: bold;
}

.discount-title {
    margin-bottom: 20px;
}

.help-text {
    font-size: 11px;
    color: #98A0A6;
    line-height: 18px;
    padding-top: 5px;
}

.my-select-menu {
    border: 1px solid #DAE7FF;
    font-size: 14px;
    -webkit-box-shadow: none;
    box-shadow: none;
    cursor: pointer;
    border-radius: 3px;
    padding: 10px 12px;

    &:hover {
        background: #ECF3FE !important;
    }

    @media screen and (max-width: 926px) {
        margin-top: 10px;
    }
}

.form-control {
    border: 1px solid #DAE7FF;
    font-size: 14px;
    -webkit-box-shadow: none;
    box-shadow: none;
    border-radius: 3px;
    height: 40px;
}

.select-tags {
    max-width: 100px;
    background-color: transparent;
}

.my-input {
    max-width: 100px;
    font-weight: bold;
    border: 1px solid #DAE7FF;
    font-size: 14px;
    -webkit-box-shadow: none;
    box-shadow: none;
    border-radius: 3px;
    padding: 10px 12px;
}

.edit__set_block {
    border: 1px solid rgba(138, 135, 135, 0.36);
    width: 100%;
    padding: 10px 20px 30px 20px;
    margin: 5px 5px 5px 0;

    .row {
        width: 105%;
    }
}

@media (min-width: 770px) {
    .form-inline .form-group {
        display: inline-block;
        margin-bottom: 0;
        vertical-align: middle;
    }
}

.width-unset {
    width: unset;
    margin-right: 10px;
}

</style>
